| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Types | Public Member Functions | List of all members
Text Class Reference
Inheritance diagram for Text:

## Public Types
enum | Justify_t { LEFT , CENTER , RIGHT }
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }

## Public Member Functions
float | Baseline ()
void | Baseline (float baselineShift)
GlsColor | BgColor ()
void | BgColor (GlsColor &color)
float | Border ()
void | Border (float units)
float | CellHeight ()
void | CellHeight (float height)
float | CellWidth ()
void | CellWidth (float width)
float | CharScaling ()
void | CharScaling (float newScale)
float | CharSpacing ()
void | CharSpacing (float horizontalSpacing)
bool | ConstrainCellRatio ()
void | ConstrainCellRatio (bool constrainRatio)
bool | ControlCellSize ()
void | ControlCellSize (bool control)
bool | FauxBold ()
void | FauxBold (bool bold)
Font | Font ()
void | Font (Font &font)
bool | Halo ()
void | Halo (bool halo)
GlsColor | HaloColor ()
void | HaloColor (GlsColor &color)
bool | Inverse ()
void | Inverse (bool inverse)
Justify_t | Justify ()
void | Justify (Justify_t justification)
float | LineSpacing ()
void | LineSpacing (float spacing)
bool | LockCellSize ()
void | LockCellSize (bool lock)
bool | Shadow ()
void | Shadow (bool shadow)
GlsColor | ShadowColor ()
void | ShadowColor (GlsColor &color)
Vector | ShadowOffset ()
void | ShadowOffset (Vector &offset)
bool | StrikeThru ()
void | StrikeThru (bool strike)
String | String ()
void | String (String &s)
GlsColor | TextColor ()
void | TextColor (GlsColor &color)
bool | Underline ()
void | Underline (bool underline)
bool | Uppercase ()
void | Uppercase (bool uppercase)
bool | WrapText ()
void | WrapText (bool wrap)
void | ShadowDistance (float distance)
float | ShadowDistance ()
Public Member Functions inherited from GLPolygon
| GLPolygon (VertexArray &vertices)
| GLPolygon (VertexArray &vertices, Vector &location)
| GLPolygon (std::vector< Vertex > vertices)
| GLPolygon (std::vector< Vertex > vertices, Vector &location)
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Additional Inherited Members
Static Public Member Functions inherited from GLPolygon
static GLPolygon * | CastToGLPolygon (DisplayObject *obj)
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Common editor interface Text.

## Member Enumeration Documentation

## ◆ Justify_t

enum Text::Justify_t

Enumerator
LEFT | Left text justification.
CENTER | Center text justification.
RIGHT | Right text justification.

## Member Function Documentation

## ◆ Baseline() [1/2]

float Text::Baseline | ( |  | ) |

Get baseline shift.

## ◆ Baseline() [2/2]

void Text::Baseline | ( | float | baselineShift | ) |

Set baseline shift.

## ◆ BgColor() [1/2]

GlsColor Text::BgColor | ( |  | ) |

Get background color.

## ◆ BgColor() [2/2]

void Text::BgColor | ( | GlsColor & | color | ) |

Set background color.

## ◆ Border() [1/2]

float Text::Border | ( |  | ) |

Get border width.

## ◆ Border() [2/2]

void Text::Border | ( | float | units | ) |

Set border width.

## ◆ CellHeight() [1/2]

float Text::CellHeight | ( |  | ) |

Get cell height.

## ◆ CellHeight() [2/2]

void Text::CellHeight | ( | float | height | ) |

Set cell height.

Since
  GL Studio 6.0.1

## ◆ CellWidth() [1/2]

float Text::CellWidth | ( |  | ) |

Get cell width.

## ◆ CellWidth() [2/2]

void Text::CellWidth | ( | float | width | ) |

Set cell width.

Since
  GL Studio 6.0.1

## ◆ CharScaling() [1/2]

float Text::CharScaling | ( |  | ) |

Get character scale.

## ◆ CharScaling() [2/2]

void Text::CharScaling | ( | float | newScale | ) |

Set character scale.

## ◆ CharSpacing() [1/2]

float Text::CharSpacing | ( |  | ) |

Get character spacing.

## ◆ CharSpacing() [2/2]

void Text::CharSpacing | ( | float | horizontalSpacing | ) |

Set character spacing.

## ◆ ConstrainCellRatio() [1/2]

bool Text::ConstrainCellRatio | ( |  | ) |

Get aspect constrain flag.

## ◆ ConstrainCellRatio() [2/2]

void Text::ConstrainCellRatio | ( | bool | constrainRatio | ) |

Set aspect constrain flag.

## ◆ ControlCellSize() [1/2]

bool Text::ControlCellSize | ( |  | ) |

Get stretch to fit flag.

## ◆ ControlCellSize() [2/2]

void Text::ControlCellSize | ( | bool | control | ) |

Set stretch to fit flag.

## ◆ FauxBold() [1/2]

bool Text::FauxBold | ( |  | ) |

Get boldface flag.

## ◆ FauxBold() [2/2]

void Text::FauxBold | ( | bool | bold | ) |

Set boldface flag.

## ◆ Font() [1/2]

Font Text::Font | ( |  | ) |

Get current font.

## ◆ Font() [2/2]

void Text::Font | ( | Font & | font | ) |

Set boldface flag.

## ◆ Halo() [1/2]

bool Text::Halo | ( |  | ) |

Get text halo flag.

## ◆ Halo() [2/2]

void Text::Halo | ( | bool | halo | ) |

Set text halo flag.

## ◆ HaloColor() [1/2]

GlsColor Text::HaloColor | ( |  | ) |

Get text halo color.

## ◆ HaloColor() [2/2]

void Text::HaloColor | ( | GlsColor & | color | ) |

Set text halo color.

## ◆ Inverse() [1/2]

bool Text::Inverse | ( |  | ) |

Get inverse flag.

## ◆ Inverse() [2/2]

void Text::Inverse | ( | bool | inverse | ) |

Set inverse flag.

## ◆ Justify() [1/2]

Justify_t Text::Justify | ( |  | ) |

Get justification mode.

## ◆ Justify() [2/2]

void Text::Justify | ( | Justify_t | justification | ) |

Set justification mode.

## ◆ LineSpacing() [1/2]

float Text::LineSpacing | ( |  | ) |

Get line spacing.

## ◆ LineSpacing() [2/2]

void Text::LineSpacing | ( | float | spacing | ) |

Set line spacing.

## ◆ LockCellSize() [1/2]

bool Text::LockCellSize | ( |  | ) |

Get size lock flag.

## ◆ LockCellSize() [2/2]

void Text::LockCellSize | ( | bool | lock | ) |

Set size lock flag.

## ◆ Shadow() [1/2]

bool Text::Shadow | ( |  | ) |

Get text shadow flag.

## ◆ Shadow() [2/2]

void Text::Shadow | ( | bool | shadow | ) |

Set text shadow flag.

## ◆ ShadowColor() [1/2]

GlsColor Text::ShadowColor | ( |  | ) |

Get text shadow color.

## ◆ ShadowColor() [2/2]

void Text::ShadowColor | ( | GlsColor & | color | ) |

Set text shadow color.

## ◆ ShadowDistance() [1/2]

float Text::ShadowDistance | ( |  | ) |

Get the ShadowDistance.

Deprecated:
  Use ShadowOffset().

## ◆ ShadowDistance() [2/2]

void Text::ShadowDistance | ( | float | distance | ) |

Sets the ShadowDistance.

Deprecated in favor of ShadowOffset. This property is here for backwards compatibility.

Parameters

  distance | The new distance

Exceptions

  Exception | relating to the bindings between Python and C++

Deprecated:
  Use ShadowOffset(Vector& offset)

## ◆ ShadowOffset() [1/2]

Vector Text::ShadowOffset | ( |  | ) |

Gets text shadow offset.

Returns
  The text shadow offset

Exceptions

  Exception | relating to the bindings between Python and C++

## ◆ ShadowOffset() [2/2]

void Text::ShadowOffset | ( | Vector & | offset | ) |

Sets text shadow offset.

Parameters

  offset | The text shadow offset

Exceptions

  Exception | relating to the bindings between Python and C++

## ◆ StrikeThru() [1/2]

bool Text::StrikeThru | ( |  | ) |

Get strike thru flag.

## ◆ StrikeThru() [2/2]

void Text::StrikeThru | ( | bool | strike | ) |

Set strike thru flag.

## ◆ String() [1/2]

String Text::String | ( |  | ) |

Get text characters.

## ◆ String() [2/2]

void Text::String | ( | String & | s | ) |

Set text characters.

## ◆ TextColor() [1/2]

GlsColor Text::TextColor | ( |  | ) |

Get text color.

## ◆ TextColor() [2/2]

void Text::TextColor | ( | GlsColor & | color | ) |

Set text color.

## ◆ Underline() [1/2]

bool Text::Underline | ( |  | ) |

Get underline flag.

## ◆ Underline() [2/2]

void Text::Underline | ( | bool | underline | ) |

Set underline flag.

## ◆ Uppercase() [1/2]

bool Text::Uppercase | ( |  | ) |

Get uppercase flag.

## ◆ Uppercase() [2/2]

void Text::Uppercase | ( | bool | uppercase | ) |

Set uppercase flag.

## ◆ WrapText() [1/2]

bool Text::WrapText | ( |  | ) |

Get word wrap flag.

## ◆ WrapText() [2/2]

void Text::WrapText | ( | bool | wrap | ) |

Set word wrap flag.

The documentation for this class was generated from the following file:

- Text.i